Bug 5607 - Make fields from issues table available in overdues
Summary: Make fields from issues table available in overdues
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: 3.8
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Sophie MEYNIEUX
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-11 16:30 UTC by Katrin Fischer
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Attachment to Bug 5607 - Make fields from issues table available in overdues (1.23 KB, patch)
2011-12-19 11:35 UTC, Sophie MEYNIEUX
Details | Diff | Splinter Review
[SIGNED-OFF] BUG 5607 : Adds parsing of issues fields in overdue letters (1.73 KB, patch)
2011-12-19 20:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-01-11 16:30:48 UTC
The new syntax to print item information in overdue notices (<item></item>) does not work with fields from the issues table. 

The list does not offer these fields to be selected into the notice template and manually adding it will not work. The information is not printed to the overdue notice.

Examples:

Will not work:

<item><<biblio.title>> <<biblio.author>>, Callnumber: <<items.itemcallnumber>> Barcode <<items.barcode>> Due date: <<issues.date_due>> Fine: <fine>EUR</fine></item>


Will display due date using -itemscontent with overdue_notices.pl:

<<items.content>>
Comment 1 Sophie MEYNIEUX 2011-12-19 11:35:48 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-12-19 20:40:17 UTC
Created attachment 6873 [details] [review]
[SIGNED-OFF] BUG 5607 : Adds parsing of issues fields in overdue letters

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Patch makes it possible to add fields from the issues table to overdue notices.

Template used for testing:
<item>"<<biblio.title>>" by <<biblio.author>>, <<items.itemcallnumber>>, Barcode: <<items.barcode>> , Checkout date: <<issues.issuedate>>, Due date: <<issues.date_due>> Fine: <fine>GBP</fine> Checkout date from items: <<items.onloan>></item>

Possible improvements:
- Dates are not formatted according to dateformat system preference
Comment 3 Ian Walls 2011-12-21 22:46:36 UTC
Simple patch to add another table worth of parsed tokens.  Itemnumber can be considered key on issues, since an item should never be checked out to two people at once.

Marking Passed QA
Comment 4 Paul Poulain 2011-12-27 17:35:32 UTC
patch pushed, please test